commit 4bb9f97e2817247ec21f4fea4a54b5cba4cf4edf
parent e5d87ba1f6b7273024edef063aab67508ff6b81f
Author: Jan Pobříslo <ccx@te2000.cz>
Date: Fri, 26 May 2023 13:49:07 +0200
Link update scripts
Diffstat:
8 files changed, 27 insertions(+), 3 deletions(-)
diff --git a/files/busybox.config b/files/busybox.config
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
# Busybox version: 1.36.0
-# Fri May 26 03:15:38 2023
+# Fri May 26 03:36:32 2023
#
CONFIG_HAVE_DOT_CONFIG=y
@@ -434,7 +434,7 @@ CONFIG_FEATURE_VI_COLON=y
CONFIG_FEATURE_VI_COLON_EXPAND=y
CONFIG_FEATURE_VI_YANKMARK=y
CONFIG_FEATURE_VI_SEARCH=y
-CONFIG_FEATURE_VI_REGEX_SEARCH=y
+# CONFIG_FEATURE_VI_REGEX_SEARCH is not set
CONFIG_FEATURE_VI_USE_SIGNALS=y
CONFIG_FEATURE_VI_DOT_CMD=y
CONFIG_FEATURE_VI_READONLY=y
diff --git a/s6_clone3_newpid.patch b/files/s6_clone3_newpid.patch
diff --git a/s6_clone_newpid.patch b/files/s6_clone_newpid.patch
diff --git a/s6_clone_newpid.patch.old b/files/s6_clone_newpid.patch.old
diff --git a/files/update-links b/files/update-links
@@ -0,0 +1,10 @@
+#!/bin/zsh
+setopt extended_glob no_unset
+cd $0:h || exit $?
+rm -r by-sha256 || exit $?
+mkdir -p by-sha256 || exit $?
+cd by-sha256 || exit $?
+for f in ../*(.) ../../downloads/*(.); do
+ h=${"$(sha256sum $f)"%% *} || exit $?
+ ln -sTf $f $h || exit $?
+done
diff --git a/packages/busybox b/packages/busybox
@@ -1,6 +1,6 @@
#!/usr/bin/env pthbs-build
#+*
-#@git:70f77e4617e06077231b8b63c3fb3406d7f8865d:busybox
+#@git:aa4d303a3139107919f73cece4eaf85a7dc75db6:busybox
#@sha256:d8cf7230674d830c32d679dcbaf8123ff1f157ae10b12fa350b475c6787bf8d7:busybox/.config
: ${JOBS:=1}
diff --git a/sources/update-links b/sources/update-links
@@ -0,0 +1,11 @@
+#!/bin/zsh
+cd $0:h || exit $?
+mkdir -p by-commit || exit $?
+cd by-commit || exit $?
+for gitdir in ../*/.git; do
+ d=$gitdir:h
+ (cd $d && git for-each-ref --format='%(objectname)') | while read commit; do
+ [[ -L $commit ]] && continue
+ ln -s -f $d $commit || exit $?
+ done
+done
diff --git a/update-links b/update-links
@@ -0,0 +1,3 @@
+#!/bin/zsh
+$0:h/files/update-links || exit $?
+$0:h/sources/update-links || exit $?